import 'package:connectivity_plus/connectivity_plus.dart';

import '../entity/exception.dart';

mixin NetworkCondition {
  /// Using whenever a event which fetch data from remote is added to bloc
  Future<void> checkConnection() async {
    final networkStatus = await Connectivity().checkConnectivity();
    if (networkStatus == ConnectivityResult.none) {
      throw KntException(KntIssue.network);
    }
  }
}
